pcl::visualization::PointCloudColorHandlerLabelField< PointT > Class Template Reference
Module visualization

Label field handler class for colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerLabelField< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerLabelField< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerLabelField< PointT > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointT > >

## Public Member Functions

| PointCloudColorHandlerLabelField (const bool static_mapping=true)
| Constructor. More...
| PointCloudColorHandlerLabelField (const PointCloudConstPtr &cloud, const bool static_mapping=true)
| Constructor. More...
virtual | ~PointCloudColorHandlerLabelField ()
| Destructor. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as a VTK data array. More...

## Protected Member Functions

virtual std::string | getName () const
| Class getName method. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerLabelField< PointT >

Label field handler class for colors.

Paints the points according to their labels, assigning a unique color from a predefined color lookup table to each label.

Author
  Sergey Alexandrov

Definition at line 504 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerLabelField< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerLabelField<PointT> >

Definition at line 512 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerLabelField< PointT >::Ptr = shared_ptr<PointCloudColorHandlerLabelField<PointT> >

Definition at line 511 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerLabelField() [1/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerLabelField< PointT >::PointCloudColorHandlerLabelField | ( | const bool | static_mapping = `true` | ) |

inline

Constructor.

Parameters

  [in] | static_mapping | Use a static colormapping from label_id to color (default true)

Definition at line 516 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## PointCloudColorHandlerLabelField() [2/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerLabelField< PointT >::PointCloudColorHandlerLabelField | ( | const PointCloudConstPtr & | cloud,
|  | const bool | static_mapping = `true`
| ) |  |

inline

Constructor.

Parameters

  [in] | static_mapping | Use a static colormapping from label_id to color (default true)

Definition at line 525 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandlerLabelField< PointT >::setInputCloud().

## ~PointCloudColorHandlerLabelField()

template<typename PointT>

virtual pcl::visualization::PointCloudColorHandlerLabelField< PointT >::~PointCloudColorHandlerLabelField | ( |  | ) |

inline virtual

Destructor.

Definition at line 534 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

template<typename PointT >

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 518 of file point_cloud_color_handlers.hpp.

References pcl::ColorLUT< T >::at(), pcl::isFinite(), and pcl::ColorLUT< T >::size().

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 538 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerLabelField< PointT >::getName | ( |  | ) | const

inline protected virtual

Class getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 554 of file point_cloud_color_handlers.h.

## setInputCloud()

template<typename PointT >

void pcl::visualization::PointCloudColorHandlerLabelField< PointT >::setInputCloud | ( | const PointCloudConstPtr & | cloud | ) |

virtual

Set the input cloud to be used.

Parameters

  [in] | cloud | the input cloud to be used by the handler

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 505 of file point_cloud_color_handlers.hpp.

References pcl::visualization::PointCloudColorHandler< PointT >::setInputCloud().

Referenced by pcl::visualization::PointCloudColorHandlerLabelField< PointT >::PointCloudColorHandlerLabelField().

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp